[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [AuthExceptionType](./index.md)

# AuthExceptionType

`enum class AuthExceptionType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L15)

An auth-related exception type, for use with [AuthException](../-auth-exception/index.md).

### Enum Values

| Name | Summary |
|---|---|
| [KEY_INFO](-k-e-y_-i-n-f-o.md) |  |
| [NO_TOKEN](-n-o_-t-o-k-e-n.md) |  |
| [UNAUTHORIZED](-u-n-a-u-t-h-o-r-i-z-e-d.md) |  |

### Properties

| Name | Summary |
|---|---|
| [msg](msg.md) | `val msg: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>string value of the auth exception type |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
